<?php
namespace Teknisa\DF\Controllers;

use Zeedhi\Framework\DTO;
use Teknisa\DF\Services;
use Zeedhi\Framework\DataSource\DataSet;

class Ger01400MensagemController {
    protected $ger01400MensagemService;

    public function __construct(Services\Ger01400MensagemService $ger01400MensagemService) {
        $this->ger01400MensagemService = $ger01400MensagemService;
    }

    public function validateMessage(DTO\Request\Row $row, DTO\Response $response) {
        $validation = $this->ger01400MensagemService->validateMessage($row);

        $response->addDataSet(new DataSet("mensagem_validation", $validation));
    }
}